Loading...
Searching...
No Matches
OracleSqlUtil::OracleMaterializedView Class Reference

represents an Oracle materialized view More...

Inheritance diagram for OracleSqlUtil::OracleMaterializedView:
[legend]

## Public Member Functions

| constructor (string n, string n_src, bool n_logging=True, bool n_use_index=True, *string n_tablespace)
| creates the object from the arguments passed
softlist | getCreateSql (*hash opt)
| returns a string that can be used to create the object in the database
Public Member Functions inherited from OracleSqlUtil::OracleCodeBaseNoRename
| constructor (string n, string n_type, string n_src)
| creates the object from the arguments passed
softlist | getRenameSql (string new_name, *hash opt)
| returns a string that can be used to rename the object in the database
Public Member Functions inherited from OracleSqlUtil::OracleCodeBase
| constructor (string n, string n_type, string n_src)
| creates the object from the arguments passed
bool | equalImpl (AbstractFunctionBase t)
| returns True if the argument is equal to the current object, False if not
softlist | getCreateSql (*hash opt)
| returns a string that can be used to create the object in the database
softlist | getRenameSql (string new_name, *hash opt)
| returns a string that can be used to rename the object in the database

## Public Attributes

bool | logging
| Flag if is loggign mode used.
*string | tablespace
| Name of the potential tablespace.
bool | use_index
| Flag if is index used.

## Detailed Description

represents an Oracle materialized view

## Member Function Documentation

## constructor()

OracleSqlUtil::OracleMaterializedView::constructor | ( | string | n,
|  | string | n_src,
|  | bool | n_logging = `True`,
|  | bool | n_use_index = `True`,
|  | *string | n_tablespace
| ) |  |

creates the object from the arguments passed

Parameters

  n | the name of the materialized view
  n_src | the source of the materialized view
  n_tablespace | the optional data tablespace used by the materialized view
  n_logging | if the materialized view should use logging
  n_use_index | if the materialized view should use an index